/*
---------------------------------------------------------------------
CREATES CRYPTOGRAPHIC PROVIDER (SS2008 Only)
Code Source: "PROTECTING SQL SERVER DATA"
Author: John Magnabosco
Publisher: Simple Talk Publishing
Copyright September 2009
---------------------------------------------------------------------
Please note that it is highly discouraged to implement the provided sample code, 
either entirely or in part, on an instance of SQL Server that is actively utilized 
for production activity. All sample code is provided for illustrative purposes only 
and are provided as is without any warranties or guarantees of any kind, either expressed 
or implied. In no event shall the author or publisher be liable for any direct, indirect, 
incidental, special, exemplary, or consequential damages arising in any way out of the use 
of the provided sample code.
---------------------------------------------------------------------
*/

/* Listing 4-6: Creating a cryptographic provider in SQL Server (SS2008 Only) */
Use Master;
GO

CREATE CRYPTOGRAPHIC PROVIDER MyCryptoProvider 
    FROM FILE = 'D:\InstanceA\CryptoProvider\CryptA.dll'; 
GO

/* Listing 4-7: Enabling EKM in SQL Server (SS2008 Only) */
sp_configure 'show advanced', 1
GO
RECONFIGURE
GO
sp_configure 'EKM provider enabled', 1
GO
RECONFIGURE
GO
